using System;
using System.Collections.Generic;

namespace LHDN.CRM.Models.Models
{
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("Ref_LookupParam")]
    public class LookupParam
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public int LookupParamID { get; set; }

        [StringLength(50)]
        public string LookupCode { get; set; }

        [StringLength(15)]
        public string LookupValue { get; set; }

        public string ParamDesc { get; set; }

        public bool? IsActive { get; set; }

        public bool? IsDefault { get; set; }

        public int? SeqNo { get; set; }

        [Required]
        [StringLength(255)]
        public string CreatedBy { get; set; }

        public DateTime CreatedDateTime { get; set; }

        [Required]
        [StringLength(255)]
        public string LastUpdatedBy { get; set; }

        public DateTime LastUpdatedDateTime { get; set; }
    }
}
